-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               8.0.30 - MySQL Community Server - GPL
-- Server OS:                    Win64
-- HeidiSQL Version:             12.1.0.6537
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- Dumping database structure for jazi_db
CREATE DATABASE IF NOT EXISTS `jazi_db` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `jazi_db`;

-- Dumping structure for table jazi_db.banners
CREATE TABLE IF NOT EXISTS `banners` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `top_text` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_text` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.banners: ~2 rows (approximately)
INSERT IGNORE INTO `banners` (`id`, `top_text`, `main_text`, `description`, `image`, `status`, `created_at`, `updated_at`) VALUES
	(1, NULL, 'Best Business Center', 'Jazi provides flexible workspace solutions that cater to the ever-changing needs of our .', 'banners/banner-03-fG4J.jpg', 'active', '2024-01-07 05:04:01', '2024-01-07 10:01:12'),
	(2, NULL, 'Best Business Center', 'Jazi provides flexible workspace solutions that cater to the ever-changing needs of our clients.', 'banners/service-03-BZTx.jpg', 'active', '2024-01-07 09:49:44', '2024-01-07 10:01:06');

-- Dumping structure for table jazi_db.clients
CREATE TABLE IF NOT EXISTS `clients` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.clients: ~3 rows (approximately)
INSERT IGNORE INTO `clients` (`id`, `name`, `image`, `status`, `created_at`, `updated_at`) VALUES
	(2, 'Brand Bee', 'clients/brand-bee-1-edrw.png', 'active', '2024-01-09 07:14:57', '2024-01-09 07:26:42'),
	(3, 'Saleen Co', 'clients/saleen-co-1-hHuL.png', 'active', '2024-01-09 07:15:13', '2024-01-09 07:15:13'),
	(4, 'Xportek', 'clients/xportek-1-TSPY.png', 'active', '2024-01-09 07:15:31', '2024-01-09 07:15:31');

-- Dumping structure for table jazi_db.event_news
CREATE TABLE IF NOT EXISTS `event_news` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_6` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `caption` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.event_news: ~0 rows (approximately)
INSERT IGNORE INTO `event_news` (`id`, `title`, `image`, `image_2`, `image_3`, `image_4`, `image_5`, `image_6`, `date`, `caption`, `order`, `status`, `created_at`, `updated_at`) VALUES
	(1, 'Bahrain Business Women’s Society x Saks Bahrain', 'newsEvents/banner-03-Rszl.jpg', 'newsEvents/service-01-sAlX.jpg', 'newsEvents/service-02-PcRc.jpg', 'newsEvents/service-03-NM3h.jpg', NULL, NULL, '2024-01-07', '<h3 class="mb-3" style="margin-right: 0px; margin-left: 0px; padding: 0px; font-family: Poppins, sans-serif; font-weight: 600; line-height: normal; color: rgb(0, 0, 0); font-size: 24px; position: relative; outline: none !important;"><span class="font-weight-bold" style="margin: 0px; padding: 0px; color: rgb(137, 137, 137); font-size: 15px; text-align: justify; outline: none !important;">Saturday, 7 October 2023 -&nbsp;</span><span style="color: rgb(137, 137, 137); font-size: 15px; font-weight: 400; text-align: justify;">A two-day event hosted by Saks Fifth Avenue @saksme for Bahrain Businesswoman’s Society members, organized by the Cultural &amp; Economic Committee headed by Eng. Manar Sirriyeh.</span><br></h3>', NULL, 'active', '2024-01-07 08:33:42', '2024-01-07 08:33:42');

-- Dumping structure for table jazi_db.failed_jobs
CREATE TABLE IF NOT EXISTS `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.failed_jobs: ~0 rows (approximately)

-- Dumping structure for table jazi_db.faqs
CREATE TABLE IF NOT EXISTS `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  `order` int DEFAULT NULL,
  `status` enum('Active','Inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.faqs: ~6 rows (approximately)
INSERT IGNORE INTO `faqs` (`id`, `question`, `answer`, `order`, `status`, `created_at`, `updated_at`) VALUES
	(1, '<p><b>&nbsp;What services does Jazi Business Services provide?&nbsp;</b><br></p>', '<p>-Fully serviced offices\r\n</p><p>- Company formation</p><p>\r\n- Accounting services</p><p>\r\n- Logistics services</p><p>\r\n- Government transaction services</p><p>\r\n- Legal services</p><p>\r\n- Reception &amp; secretarial services<br></p>', 1, 'Active', '2024-01-08 07:38:24', '2024-01-08 07:56:41'),
	(2, '<p><b>&nbsp;Do you have to be a start-up to join Jazi Business Services?&nbsp;</b><br></p>', '<p>We cater to startups and established companies<br></p>', 2, 'Active', '2024-01-08 07:39:00', '2024-01-08 07:56:34'),
	(3, '<p><b>&nbsp;What is included when leasing a fully serviced office?&nbsp;</b><br></p>', '<p>&nbsp;-Private cubicle</p><p>\r\n- High-speed internet</p><p>\r\n- Municipality plate</p><p>\r\n- Landline (Local &amp; International)\r\n</p><p>- Cleaning &amp; Maintenance</p><p>\r\n- Reception &amp; Admin</p><p>\r\n- Free meeting room bookings<br></p>', 3, 'Active', '2024-01-08 07:39:49', '2024-01-08 07:56:26'),
	(4, '<p><b>&nbsp;Can I register your company with Jazi for a month?</b><br></p>', '<p>Our contractual periods are as follows:</p><p>\r\n- 3 Months\r\n</p><p>- 6 Months\r\n</p><p>- 12 Months<br></p>', 4, 'Active', '2024-01-08 07:40:31', '2024-01-08 07:56:10'),
	(5, '<p><b>&nbsp;Do I have to pay a security deposit?&nbsp;</b><br></p>', '<p>&nbsp;We normally request a 1-month deposit, which will be returned at the\r\nend of the contractual period&nbsp;<br></p>', 5, 'Active', '2024-01-08 07:40:56', '2024-01-08 07:56:02'),
	(6, '<p><b>&nbsp;Are there any extra charges to use the meeting room?</b><br></p>', '<p>&nbsp;There are no additional charges, all you have to do is book the meeting\r\nroom<br></p>', 6, 'Active', '2024-01-08 07:41:27', '2024-01-08 07:55:53'),
	(7, '<p><b>What are Government Transaction Services?</b><br></p>', '<p>Government transaction services include the following:</p><p>\r\n- CR application &amp; Activation</p><p>\r\n- Opening municipality account</p><p>\r\n- Chamber of commerce registration</p><p>\r\n- Opening EWA account</p><p>\r\n- Labour market regulatory authority services</p><p>\r\n- Tamkeen support\r\n</p><p>- Social security service<br></p>', 7, 'Active', '2024-01-08 07:42:32', '2024-01-08 07:55:38');

-- Dumping structure for table jazi_db.form_submits
CREATE TABLE IF NOT EXISTS `form_submits` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('service_request','contact') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'contact',
  `form_data` json NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.form_submits: ~0 rows (approximately)
INSERT IGNORE INTO `form_submits` (`id`, `type`, `form_data`, `created_at`, `updated_at`) VALUES
	(1, 'service_request', '{"name": "Sameera AbdulJabbar AlKooheji", "email": "admin@admin.com", "phone": "12547554", "service_type": "Office Spaces"}', '2024-01-09 05:22:04', '2024-01-09 05:22:04');

-- Dumping structure for table jazi_db.galleries
CREATE TABLE IF NOT EXISTS `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_6` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `caption` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.galleries: ~2 rows (approximately)
INSERT IGNORE INTO `galleries` (`id`, `title`, `image`, `image_2`, `image_3`, `image_4`, `image_5`, `image_6`, `date`, `caption`, `order`, `status`, `created_at`, `updated_at`) VALUES
	(2, 'Press conference “TÜRKİYE-BAHRAIN TRADE DELEGATION AND B2B MEETINGS”', 'newsEvents/service-05-VInb.jpg', 'newsEvents/service-01-DEbi.jpg', 'newsEvents/service-03-Ttpb.jpg', NULL, NULL, NULL, '2024-01-07', '<p><span class="font-weight-bold" style="margin: 0px; padding: 0px; color: rgb(137, 137, 137); font-family: Poppins, sans-serif; font-size: 15px; text-align: justify; outline: none !important; font-weight: 700 !important;">Wednesday, 4 October 2023 -&nbsp;</span><span style="color: rgb(137, 137, 137); font-family: Poppins, sans-serif; font-size: 15px; text-align: justify;">Organized by The Embassy of the Republic of Türkiye in Manama, Türkiye Exporters Assembly, and Central Anatolian Exporters’ Associations with the support of the Bahrain Businessmen’s Society and Bahrain Businesswomen’s Society.</span><br></p>', 2, 'active', '2024-01-07 09:01:51', '2024-01-07 09:01:51');

-- Dumping structure for table jazi_db.home_sections
CREATE TABLE IF NOT EXISTS `home_sections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `home_section` enum('about_us','choose_us') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'about_us',
  `top_title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `about_image_1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `about_image_2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `about_image_3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `choose_image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.home_sections: ~2 rows (approximately)
INSERT IGNORE INTO `home_sections` (`id`, `home_section`, `top_title`, `main_title`, `about_image_1`, `about_image_2`, `about_image_3`, `choose_image`, `description`, `created_at`, `updated_at`) VALUES
	(1, 'about_us', 'ABOUT JAZI', 'Experienced & Quality Service', 'home_section/service-01-2-L404.jpg', 'home_section/service-04-DYtE.jpg', 'home_section/banner-03-Yksl.jpg', NULL, '<p><span style="color: rgb(110, 110, 110); font-family: Inter, sans-serif; font-size: 16px;">We are a team of passionate people whose goal is to improve investors\' experience through latest technologies and best services. We offer great products to solve your business needs, and make you love investment in Bahrain. Our products are designed for small to medium size companies willing to optimize their performance.</span><br></p>', '2024-01-08 06:53:37', '2024-01-08 06:53:37'),
	(2, 'choose_us', 'WHY CHOOSE JAZI', 'Why Choose Jazi Business Center.', NULL, NULL, NULL, 'home_section/service-02-uWlC.jpg', '<p><span style="color: rgb(110, 110, 110); font-family: Inter, sans-serif; font-size: 16px;">We are award winning business center who provide many quality services which include renting office spaces, technology infrastructure, meeting and conference facilities, 24/7 administrative support and more.</span><br></p>', '2024-01-08 07:20:33', '2024-01-08 07:20:33');

-- Dumping structure for table jazi_db.jobs
CREATE TABLE IF NOT EXISTS `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.jobs: ~0 rows (approximately)

-- Dumping structure for table jazi_db.members
CREATE TABLE IF NOT EXISTS `members` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `about` text COLLATE utf8mb4_unicode_ci,
  `facebook` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `instagram` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.members: ~2 rows (approximately)
INSERT IGNORE INTO `members` (`id`, `name`, `position`, `email`, `image`, `contact`, `about`, `facebook`, `instagram`, `twitter`, `linkedin`, `order`, `status`, `created_at`, `updated_at`) VALUES
	(2, 'Hanan Mohammed', 'Founder', 'hanan@jazi.com', 'members/team-01-fap3.jpg', '17782000', NULL, NULL, NULL, NULL, NULL, 1, 'active', '2024-01-07 07:28:45', '2024-01-07 07:28:45'),
	(3, 'Maryam Ali', 'Manager', 'marium@jazi.com', 'members/team-02-8rZB.jpg', '17782000', NULL, NULL, NULL, NULL, NULL, 2, 'active', '2024-01-07 07:29:19', '2024-01-07 07:29:19'),
	(4, 'Ahmed Hussain', 'Consultant', 'ahmed@jazi.com', 'members/team-03-o8CU.jpg', '17782000', NULL, NULL, NULL, NULL, NULL, 3, 'active', '2024-01-07 07:29:42', '2024-01-07 07:29:42');

-- Dumping structure for table jazi_db.migrations
CREATE TABLE IF NOT EXISTS `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.migrations: ~18 rows (approximately)
INSERT IGNORE INTO `migrations` (`id`, `migration`, `batch`) VALUES
	(1, '2014_10_12_000000_create_users_table', 1),
	(2, '2014_10_12_100000_create_password_reset_tokens_table', 1),
	(3, '2019_08_19_000000_create_failed_jobs_table', 1),
	(4, '2019_12_14_000001_create_personal_access_tokens_table', 1),
	(5, '2024_01_07_070727_create_members_table', 2),
	(6, '2024_01_07_070735_create_services_table', 2),
	(7, '2024_01_07_074547_create_clients_table', 3),
	(8, '2024_01_07_075719_create_banners_table', 4),
	(9, '2015_08_04_131614_create_settings_table', 5),
	(11, '2017_04_10_195926_change_extras_to_longtext', 6),
	(12, '2024_01_07_112917_create_event_news_table', 7),
	(13, '2024_01_07_114645_create_galleries_table', 8),
	(14, '2024_01_07_130319_create_testimonials_table', 9),
	(17, '2024_01_08_074123_create_home_sections_table', 10),
	(19, '2024_01_08_103023_create_faqs_table', 11),
	(20, '2016_05_25_121918_create_pages_table', 12),
	(21, '2024_01_08_134249_add_is_homepage_to_services_table', 13),
	(23, '2024_01_09_075538_create_jobs_table', 15),
	(24, '2024_01_09_073956_create_form_submits_table', 16);

-- Dumping structure for table jazi_db.pages
CREATE TABLE IF NOT EXISTS `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `top_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `main_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image_1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.pages: ~0 rows (approximately)
INSERT IGNORE INTO `pages` (`id`, `template`, `top_title`, `main_title`, `image_1`, `image_2`, `content`, `created_at`, `updated_at`, `deleted_at`) VALUES
	(1, 'about', 'ABOUT JAZI', 'Experienced & Quality More Than 30 Years', 'about/service-01-3-NkXQ.jpg', 'about/banner-03-1-AdGX.jpg', '<p>Your Jazi Business Services is Bahrain\'s\r\nleading provider of fully serviced and\r\nequipped office space. Our objective is to\r\ngive our clients a professional and cost effective office solution that fulfils their\r\nspecific business requirements.<br></p>', '2024-01-08 08:33:59', '2024-01-08 08:40:40', NULL);

-- Dumping structure for table jazi_db.password_reset_tokens
CREATE TABLE IF NOT EXISTS `password_reset_tokens` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.password_reset_tokens: ~0 rows (approximately)

-- Dumping structure for table jazi_db.personal_access_tokens
CREATE TABLE IF NOT EXISTS `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.personal_access_tokens: ~0 rows (approximately)

-- Dumping structure for table jazi_db.services
CREATE TABLE IF NOT EXISTS `services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_desc` text COLLATE utf8mb4_unicode_ci,
  `long_desc` text COLLATE utf8mb4_unicode_ci,
  `order` int DEFAULT NULL,
  `is_homepage` tinyint(1) NOT NULL DEFAULT '0',
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.services: ~8 rows (approximately)
INSERT IGNORE INTO `services` (`id`, `name`, `slug`, `image`, `short_desc`, `long_desc`, `order`, `is_homepage`, `status`, `created_at`, `updated_at`) VALUES
	(15, 'Business Centre', 'business-centre-1', 'service/servicebusinesscenter-1-cX6e.jpg', '<p><font color="#ffffff">Our business center is the perfect place for businesses to start up, grow, and succeed. We offer a flexible range of solutions to meet the needs of our clients, and we are committed to providing the highest level of service.&nbsp;&nbsp;</font><br></p>', '<p>Jazi Business Services is a leading provider of business center services,\r\nlocated in the heart of Manama, making us the ideal choice for\r\nbusinesses of all sizes.\r\nOur business center offers a wide range of services, including:</p><p>- Fully furnished and equipped offices.</p><p>- High-speed internet and Wi-Fi.</p><p>- Professional reception and administrative support.</p><p>- Meeting and conference rooms.</p><p>- Dedicated Cubicles.</p><p>Our business center&nbsp;is the perfect place for\r\nbusinesses to start up, grow, and succeed. We offer a\r\nflexible range of solutions to meet the needs of our\r\nclients, and we are committed to providing the\r\nhighest level of service.\r\n&nbsp;<br></p>', 1, 1, 'active', '2024-01-09 06:21:38', '2024-01-09 06:51:42'),
	(16, 'IT Services', 'it-services-1', 'service/christopher-gower-m-hrflhgabo-unsplash-1-iz1h.jpg', '<p><font color="#ffffff">Virtual phone, fax-to-email, website development, corporate\r\nemails, document storage, business cards and barcode\r\nsystem, ERP</font><br></p>', '<p>Virtual phone, fax-to-email, website development, corporate\r\nemails, document storage, business cards and barcode\r\nsystem, ERP<br></p>', 2, 1, 'active', '2024-01-09 06:28:09', '2024-01-09 06:28:09'),
	(17, 'Company Formation', 'company-formation-1', 'service/scott-graham-5fnmwej4taa-unsplash-1-cBy1.jpg', '<p><font color="#ffffff">Provide comprehensive company formation and\r\nregistration services, including security clearance,\r\ncompany name reservation, CR application and\r\nactivation, office space provision, memorandum of\r\nassociation drafting, and company bank account\r\nopening.</font><br></p>', '<p>Provide comprehensive company formation and\r\nregistration services, including security clearance,\r\ncompany name reservation, CR application and\r\nactivation, office space provision, memorandum of\r\nassociation drafting, and company bank account\r\nopening.<br></p>', 3, 1, 'active', '2024-01-09 06:29:57', '2024-01-09 06:29:57'),
	(18, 'Reception & Secretarial Services', 'reception-secretarial-services-1', 'service/mar-ko-pq5hsorkyge-unsplash-1-A3Lx.jpg', '<p><font color="#ffffff">Modern businesses rely on a variety of virtual services, such as\r\nphone, fax, email, websites, document storage, business cards,\r\nbarcodes, and ERP systems. These services can help\r\nbusinesses to save money, improve efficiency, and\r\ncommunicate more effectively.</font><br></p>', '<p>Modern businesses rely on a variety of virtual services, such as\r\nphone, fax, email, websites, document storage, business cards,\r\nbarcodes, and ERP systems. These services can help\r\nbusinesses to save money, improve efficiency, and\r\ncommunicate more effectively.<br></p>', 3, 1, 'active', '2024-01-09 06:31:57', '2024-01-09 06:31:57'),
	(19, 'Government Transaction Services', 'government-transaction-services-1', 'service/katie-moum-o0kbc907i20-unsplash-1-sL8k.jpg', '<p><font color="#ffffff">Company formation and registration services, including\r\nCR application and activation, regulatory authority and\r\nChamber of Commerce registration, document\r\nauthentication, labour market regulatory authority\r\nservices, social security services, and Tamkeen support</font><br></p>', '<p>Company formation and registration services, including\r\nCR application and activation, regulatory authority and\r\nChamber of Commerce registration, document\r\nauthentication, labour market regulatory authority\r\nservices, social security services, and Tamkeen support<br></p>', 5, 0, 'active', '2024-01-09 06:33:35', '2024-01-09 06:33:35'),
	(20, 'Accounting Services', 'accounting-services-1', 'service/austin-distel-744ogeqpxpq-unsplash-1-5dz8.jpg', '<p><font color="#ffffff">Provide comprehensive accounting and financial management services, including:</font></p><p><font color="#ffffff">- Cloud-based accounting software with instant reporting and online access.</font></p><p><font color="#ffffff">- Bill collection services.</font></p><p><font color="#ffffff">- Value-added tax (VAT) reporting and submission to the Ministry of Finance.</font></p>', '<p>Provide comprehensive accounting and financial\r\nmanagement services, including:</p><p style="text-align: left;">- Cloud-based accounting software with instant reporting\r\nand online access.</p><p style="text-align: left;">- Bill collection services.</p><p style="text-align: left;">- Value-added tax (VAT) reporting and submission to the\r\nMinistry of Finance.</p><p style="text-align: left;">- Account auditing services, including the appointment\r\nand follow-up of auditors, the review of financial reports,\r\nand the submission of audited financial reports to the\r\nMinistry of Commerce.</p><p style="text-align: left;">- We help businesses of all sizes manage their finances efficiently and effectively. Our services are tailored to the specific needs of each client, and we are committed to providing the highest level of support.<br></p>', 6, 1, 'active', '2024-01-09 06:36:30', '2024-01-09 06:49:23'),
	(21, 'Legal Services', 'legal-services-1', 'service/tingey-injury-law-firm-6sl88x150xs-unsplash-1-KElF.jpg', '<p><font color="#ffffff">Corporate legal services, including business entity formation\r\nand registration, contract drafting and review, legal advisory\r\nservices, intellectual property protection, and legal\r\nmemoranda preparation.</font><br></p>', '<p>Corporate legal services, including business entity formation\r\nand registration, contract drafting and review, legal advisory\r\nservices, intellectual property protection, and legal\r\nmemoranda preparation.<br></p>', 7, 0, 'active', '2024-01-09 06:40:53', '2024-01-09 06:40:53'),
	(22, 'Logistics Services', 'logistics-services-1', 'service/frank-mckenna-tjx-sninzgq-unsplash-1-0Ml1.jpg', '<p><font color="#ffffff">Provide a comprehensive suite of customs\r\nclearance, international freight, freight\r\nforwarding, and domestic delivery\r\nservices to help businesses move their\r\ngoods efficiently and securely.</font><br></p>', '<p>Provide a comprehensive suite of customs\r\nclearance, international freight, freight\r\nforwarding, and domestic delivery\r\nservices to help businesses move their\r\ngoods efficiently and securely.<br></p>', 8, 0, 'active', '2024-01-09 06:44:18', '2024-01-09 06:44:18');

-- Dumping structure for table jazi_db.settings
CREATE TABLE IF NOT EXISTS `settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `field` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `active` tinyint NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.settings: ~13 rows (approximately)
INSERT IGNORE INTO `settings` (`id`, `key`, `name`, `description`, `value`, `field`, `active`, `created_at`, `updated_at`) VALUES
	(2, 'business_vision', 'Business Vision', 'Business Vision', '<p>At Jazi, we aim to provide we provide\r\ncompletely equipped office spaces for rent at\r\naffordable rates that include utility costs\r\n(electricity and water), internet access,\r\nmaintenance, and cleaning services.\r\nFurthermore, we provide a landline phone\r\nnumber linked to your mobile phone, allowing\r\nyou to make and receive calls from anywhere\r\nin the world<br></p>', '{"name":"value","label":"Value","type":"summernote"}', 1, '2024-01-07 05:28:06', '2024-01-07 08:17:56'),
	(4, 'business_mission', 'Business Mission', 'Business Mission', '<p>At Jazi, we aim to provide we provide\r\ncompletely equipped office spaces for rent at\r\naffordable rates that include utility costs\r\n(electricity and water), internet access,\r\nmaintenance, and cleaning services.\r\nFurthermore, we provide a landline phone\r\nnumber linked to your mobile phone, allowing\r\nyou to make and receive calls from anywhere\r\nin the world<br></p>', '{"name":"value","label":"Value","type":"summernote"}', 1, '2024-01-07 05:28:06', '2024-01-07 08:17:36'),
	(5, 'business_experience', 'Business Experience', 'Business Experience', '', '{"name":"value","label":"Value","type":"summernote"}', 1, '2024-01-07 05:28:06', '2024-01-07 05:28:06'),
	(6, 'business_email', 'Business Email', 'Business Email', 'info@jazi.bh', '{"name":"value","label":"Value","type":"email"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:04:01'),
	(7, 'business_contact', 'Business Contact', 'Business Contact', '+973 13300035', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:04:29'),
	(8, 'fb_link', 'Facebook Link', 'Facebook Link', 'https://www.facebook.com/people/Jazi-Business-Services/100090217447468/', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:04:50'),
	(9, 'twitter_link', 'Twitter Link', 'Twitter Link', 'https://backpackforlaravel.com/docs/6.x/crud-fields#default-field-types', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-07 05:28:06'),
	(10, 'insta_link', 'Instagram Link', 'Instagram Link', 'https://www.instagram.com/jazi_business_services/', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:05:04'),
	(11, 'linkedin_link', 'LinkedIn Link', 'LinkedIn Link', 'https://www.linkedin.com/company/jaziservices/', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:05:26'),
	(12, 'business_address', 'Business Address', 'Business Address', 'Suit 2004, 128 Government Ave CR# 146893-1 Manama Center Bahrain', '{"name":"value","label":"Value","type":"text"}', 1, '2024-01-07 05:28:06', '2024-01-09 07:06:01'),
	(13, 'business_hours', 'Business Hours', 'Business Hours', 'Sun - Thurs: 08:00AM - 06:00PM', '{"name":"value","label":"Value","type":"summernote"}', 1, '2024-01-07 05:28:06', '2024-01-07 05:28:06');

-- Dumping structure for table jazi_db.testimonials
CREATE TABLE IF NOT EXISTS `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `client_id` bigint unsigned DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `testimonials_client_id_foreign` (`client_id`),
  CONSTRAINT `testimonials_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `clients` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.testimonials: ~3 rows (approximately)
INSERT IGNORE INTO `testimonials` (`id`, `client_id`, `description`, `status`, `created_at`, `updated_at`) VALUES
	(2, 2, '<p>Jazi provides a comfortable workspace. The team is responsive, proactive\r\nAnd create an accommodating, professional environment.&nbsp;<br></p>', 'active', '2024-01-09 07:18:50', '2024-01-09 07:18:50'),
	(3, 3, '<p>Jazi has provided a secure and hassle-free environment as we are just starting out. The\r\nprocess to join Jazi was smooth and effortless thanks to the team. The logistics services are\r\ntop-notch and affordable.<br></p>', 'active', '2024-01-09 07:19:06', '2024-01-09 07:19:06'),
	(4, 4, '<p>We have been renting an office at Jazi Business Center for the past year and have had a\r\nfantastic experience. The centre provides a professional and welcoming environment, with\r\nwell-maintained facilities and convenient amenities. The team is responsive, accommodating\r\nand make it easy for us to focus on our work without worrying about the workspace. The\r\ncentral location and easy access have also been a great advantage for our team and clients.\r\nWe highly recommend this office space for any business looking for a reliable and\r\nwell-managed workspace.&nbsp;<br></p>', 'active', '2024-01-09 07:19:19', '2024-01-09 07:19:19');

-- Dumping structure for table jazi_db.users
CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table jazi_db.users: ~2 rows (approximately)
INSERT IGNORE INTO `users` (`id`, `name`, `email`, `email_verified_at`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES
	(2, 'admin', 'admin@admin.com', NULL, '$2y$12$4ZBvWky4VZGPd0ahaIz0k.hYGjoJJU4Ux5gUPs6BiHJK5HHXMas3i', NULL, '2024-01-07 03:52:47', '2024-01-07 03:52:47');

/*!40103 SET TIME_ZONE=IFNULL(@OLD_TIME_ZONE, 'system') */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
