<?php

namespace App\Observers;

use App\Models\Service;
use Illuminate\Support\Str;

class ServiceSlugObserver
{
    /**
     * Handle the Service "created" event.
     */
    public function created(Service $service): void
    {

        $slug = Str::slug($service->name);
        $uniqueSlug = $slug;
        $counter = 1;

        while (Service::where('slug', $uniqueSlug)->exists()) {
            $uniqueSlug = $slug . '-' . $counter;
            $counter++;
        }

        $service->slug = $uniqueSlug;
        $service->saveQuietly();
    }

    /**
     * Handle the Service "updated" event.
     */
    public function updated(Service $service): void
    {

    }

    /**
     * Handle the Service "deleted" event.
     */
    public function deleted(Service $service): void
    {
        //
    }

    /**
     * Handle the Service "restored" event.
     */
    public function restored(Service $service): void
    {
        //
    }

    /**
     * Handle the Service "force deleted" event.
     */
    public function forceDeleted(Service $service): void
    {
        //
    }
}
