<?php

namespace App\Repositories;

use App\Models\Client;
use Illuminate\Contracts\Pagination\LengthAwarePaginator;

class ClientRepository extends BaseRepository
{
    /**
     * Constructor
     * @param Member $model
     */
    public function __construct(Client $model)
    {
        parent::__construct($model);
    }

    public function getAllNameSorted(): LengthAwarePaginator
    {
        return $this->model->query()->orderBy('name', 'ASC')
            ->paginate(12);
    }
}
