<?php

namespace App\Repositories;

use App\Models\Gallery;
use Illuminate\Database\Eloquent\Collection;

class GalleryRepository extends BaseRepository
{
    /**
     * Constructor
     * @param Gallery $model
     */
    public function __construct(Gallery $model)
    {
        parent::__construct($model);
    }

    /**
     * Get ordered events
     *
     * @return Collection|array
     */
    public function getOrderedGallery(): Collection|array
    {
        return $this->model->query()
            ->where('order', '!=', null)
            ->orderBy('order', 'ASC')
            ->get();
    }

    /**
     * Get Unordered events
     *
     * @return Collection|array
     */
    public function getUnorderedGallery(): Collection|array
    {
        return $this->model->query()
            ->where('order', null)
            ->orderBy('date', 'DESC')
            ->get();
    }
}
