<?php

namespace App\Repositories;

use App\Models\Service;
use Illuminate\Contracts\Pagination\LengthAwarePaginator;
use Illuminate\Support\Collection;

class ServiceRepository extends BaseRepository
{
    /**
     * Constructor
     * @param Service $model
     */
    public function __construct(Service $model)
    {
        parent::__construct($model);
    }

    public function getAllNameSorted(): LengthAwarePaginator
    {
        return $this->model->query()
        // ->orderBy('name', 'ASC')
            ->paginate(12);
    }

    public function getAllServiceNames(): Collection
    {
        return $this->model->query()
            // ->orderBy('name', 'ASC')
            ->select('name','name_arabic' ,'slug')
            ->get();
    }

    public function getAllHomePageServices(): Collection
    {
        return $this->model->query()
            ->where('is_homepage', 1)
            // ->orderBy('name', 'ASC')
            ->get();
    }
}
