<?php

namespace App\Services;

use App\Repositories\GalleryRepository;
use Illuminate\Database\Eloquent\Collection;

class GalleryService extends BaseService
{
    public function __construct(GalleryRepository $repository)
    {
        parent::__construct($repository);
    }

    /**
     * Get Ordered news and events
     *
     * @return array|Collection
     */
    public function getOrderedGallery(): array|Collection
    {
        return $this->repository->getOrderedGallery();
    }

    /**
     * Get unordered news and events
     *
     * @return array|Collection
     */
    public function getUnorderedGallery(): array|Collection
    {
        return $this->repository->getUnorderedGallery();
    }
}
