<?php

namespace App\Services;

use App\Repositories\ServiceRepository;
use Illuminate\Contracts\Pagination\LengthAwarePaginator;
use Illuminate\Support\Collection;

class ServiceService extends BaseService
{
    public function __construct(ServiceRepository $repository)
    {
        parent::__construct($repository);
    }

    public function getAllNameSorted(): LengthAwarePaginator
    {
        return $this->repository->getAllNameSorted();
    }

    public function getAllServiceNames(): Collection
    {
        return $this->repository->getAllServiceNames();
    }

    public function getAllHomePageServices(): Collection
    {
        return $this->repository->getAllHomePageServices();
    }

}
