<?php

namespace Database\Seeders;

use Backpack\Settings\app\Models\Setting;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Setting::insert([
            [
                'key' => 'business_logo',
                'name' => 'Business Logo',
                'description' => 'Business Logo',
                'value' => '',
                'field' => '{"name":"value","label":"Value","type":"upload"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_vision',
                'name' => 'Business Vision',
                'description' => 'Business Vision',
                'value' => '',
                'field' => '{"name":"value","label":"Value","type":"summernote"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_strategy',
                'name' => 'Business Strategy',
                'description' => 'Business Strategy',
                'value' => '',
                'field' => '{"name":"value","label":"Value","type":"summernote"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_mission',
                'name' => 'Business Mission',
                'description' => 'Business Mission',
                'value' => '',
                'field' => '{"name":"value","label":"Value","type":"summernote"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_experience',
                'name' => 'Business Experience',
                'description' => 'Business Experience',
                'value' => '',
                'field' => '{"name":"value","label":"Value","type":"summernote"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_email',
                'name' => 'Business Email',
                'description' => 'Business Email',
                'value' => 'jazi@info.com',
                'field' => '{"name":"value","label":"Value","type":"email"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_contact',
                'name' => 'Business Contact',
                'description' => 'Business Contact',
                'value' => '1775864',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'fb_link',
                'name' => 'Facebook Link',
                'description' => 'Facebook Link',
                'value' => 'https://backpackforlaravel.com/docs/6.x/crud-fields#default-field-types',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'twitter_link',
                'name' => 'Twitter Link',
                'description' => 'Twitter Link',
                'value' => 'https://backpackforlaravel.com/docs/6.x/crud-fields#default-field-types',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'insta_link',
                'name' => 'Instagram Link',
                'description' => 'Instagram Link',
                'value' => 'https://backpackforlaravel.com/docs/6.x/crud-fields#default-field-types',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'linkedin_link',
                'name' => 'LinkedIn Link',
                'description' => 'LinkedIn Link',
                'value' => 'https://backpackforlaravel.com/docs/6.x/crud-fields#default-field-types',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_address',
                'name' => 'Business Address',
                'description' => 'Business Address',
                'value' => 'Manama,Bahrain',
                'field' => '{"name":"value","label":"Value","type":"text"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],
            [
                'key' => 'business_hours',
                'name' => 'Business Hours',
                'description' => 'Business Hours',
                'value' => 'Sun - Thurs: 08:00AM - 06:00PM',
                'field' => '{"name":"value","label":"Value","type":"summernote"}',
                'active' => 1,
                "created_at" => now(),
                "updated_at" => now()
            ],

        ]);
    }
}
