@extends('layout.layout')
@section('content')
    <!-- page-title -->
    <section class="page__title p_relative">
        <div class="bg-layer parallax-bg" data-parallax='{"y": 20}' style="background-image:url({{asset('frontend_assets/images/contacts-us.png')}})">
        </div>
        <div class="auto_container text-center">
            <div class="content-box p_relative">
                <h1 class="title"> {{ __('messages.Contact Us') }} </h1>
                <ul class="bread-crumb">
                    <li><a href="{{ route('page', 'home') }}">{{ __('messages.Home') }} </a></li>
                    <li><span> -</span>{{ __('messages.Contact Us') }} </li>
                </ul>
            </div>
        </div>
    </section>
    <!-- page-title end-->

    <!-- contact-page -->
    <section class="contact__page see__pad p_relative">
        <div class="auto_container">
            <div class="contact__page__content">
                <div class="row">
                    <div class="col-lg-4 col-md-12">
                        <div class="contact__left">
                            <div class="title">
                                <div class="sub__title">
                                    <h6>{{ __('messages.CONTACT INFO') }}</h6>
                                </div>
                                <div class="main__title">
                                    <h2>{{ __('messages.Get In Touch') }}</h2>
                                </div>
                            </div>
                            <div class="normal__text">
                            </div>
                            <div class="contact__info">
                                <div class="contact__info__block">
                                    <div class="left__site__info">
                                        <div class="contact__icon one">
                                            <span class="icon-30"></span>
                                        </div>
                                    </div>
                                    <div class="right__site__info one">
                                        <h4>{{ __('messages.Our Location') }}</h4>
                                        <p>{!! app()->getLocale() === 'en' ? Setting::get('business_address') :Setting::get('business_address_arabic') !!}</p>
                                    </div>
                                </div>
                                <div class="contact__info__block">
                                    <div class="left__site__info">
                                        <div class="contact__icon one">
                                            <span class="icon-51"></span>
                                        </div>
                                    </div>
                                    <div class="right__site__info one">
                                        <h4>{{ __('messages.Email') }}</h4>
                                        <a href="mailto:{{Setting::get('business_email')}}">{{Setting::get('business_email')}}</a> <br>
                                    </div>
                                </div>
                                <div class="contact__info__block">
                                    <div class="left__site__info">
                                        <div class="contact__icon one">
                                            <span class="icon-36"></span>
                                        </div>
                                    </div>
                                    <div class="right__site__info one">
                                        <h4>{{ __('messages.Phone') }}</h4>
                                        <a href="tel:{{Setting::get('business_contact')}}"> {{ app()->getLocale() === 'en' ? '+973 ' . Setting::get('business_contact') : Setting::get('business_contact') . ' 973+' }}
                                        </a>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-md-12 offset-lg-2">
                        @if(session('success'))
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    @endif
                        <div class="contact__right">
                            <div class="form-inner">
                                <div class="contact___title">
                                    <h3> {{ __('messages.Send Us Message') }}</h3>
                                </div>
                                <form class="form_contant" id="contactform" role="form" method="post"
                                        action="{{ route('submitContactForm') }}">
                                    {{ csrf_field() }}
                                    <div class="row clearfix">
                                        <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                            <input type="text"  name="fname" placeholder="{{ __('messages.First Name') }}" required="" aria-required="true">
                                        </div>
                                        <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                            <input type="text"  name="lname" placeholder="{{ __('messages.Last Name') }}" required="" aria-required="true">
                                        </div>
                                        <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                            <input type="text"  name="phone" placeholder="{{ __('messages.Phone') }}" required="" aria-required="true">
                                        </div>
                                        <div class="col-lg-6 col-md-6 col-sm-12 ps-xl-0 form-group">
                                            <input type="email" name="email" placeholder="{{ __('messages.Your Email') }}" required="" aria-required="true">
                                        </div>

                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                            <textarea name="message" placeholder="{{ __('messages.Type Message') }}"></textarea>
                                        </div>
                                        <div class="col-lg-12 col-md-12 col-sm-12 form-group message-btn">
                                            <div class="more__buttons">
                                                <button class="btn-one" type="submit">
                                                    <em>
                                                        <i></i>
                                                        <i></i>
                                                        <i></i>
                                                        <i></i>
                                                        <i></i>
                                                        <i></i>
                                                        <i></i>
                                                    </em>
                                                   <span>{{ __('messages.Send Your Message') }} </span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- contact-page end-->
  <!-- google-map -->
  <section class="google__map">
    <div class="map__location">
        <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d14315.213286398912!2d50.576435!3d26.2355794!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e49af804c926ba5%3A0xd2c4b8860c3a80e!2sJazi%20Business%20Services!5e0!3m2!1sen!2sbh!4v1704787699898!5m2!1sen!2sbh" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
</section>
<!-- google-map end-->
@endsection
