@extends('layout.layout')
@section('content')
  <!-- page-title -->
  <section class="page__title p_relative">
    <div class="bg-layer parallax-bg" data-parallax='{"y": 20}' style="background-image:url({{asset('frontend_assets/images/faq_banner.jpg')}})">
    </div>
    <div class="auto_container text-center">
        <div class="content-box p_relative">
            <h1 class="title">{{ __('messages.Frequently Asked Questions') }}</h1>
            <ul class="bread-crumb">
                <li><a href="{{ route('page', 'home') }}">{{ __('messages.Home') }} </a></li>
                <li><span> -</span>{{ __('messages.Frequently Asked Questions') }} </li>
            </ul>
        </div>
    </div>
</section>
<!-- page-title end-->

<!-- faq-page -->
<section class="faq__page__one see__pad">
    <div class="auto_container">
        <div class="row">
            <div class="col-lg-10 col-md-12">
                <div class="faq__page__left">
                    <div class="faq__right__section">
                        <div class="tab__content">
                            <div class="title">
                                <div class="sub__title">
                                    <h6>{{ __('messages.FAQ') }}</h6>
                                </div>
                                <div class="main__title">
                                    <h2> {{ __('messages.Frequently Asked Questions') }} </h2>
                                </div>
                            </div>

                        </div>
                        <div class="faq-content-box">
                            <div class="accordion-box-style1">
                                <!--Start single accordion box-->
                                @foreach ($faqs as $faq)
                                <div class="accordion accordion-block">
                                    <div class="accord-btn">
                                        <h5 style="padding-right:{{ app()->getLocale() === 'ar' ? '18px' : '0px' }}">{!! app()->getLocale() === 'en' ? $faq->question : $faq->question_arabic !!}</h5>
                                        <div class="collapse-icon">
                                            <div class="plus"><span class="icon-44"></span></div>
                                            <div class="minace"><span class="icon-56"></span></div>
                                        </div>
                                    </div>
                                    <div class="accord-content">
                                        {!! app()->getLocale() === 'en' ? $faq->answer : $faq->answer_arabic !!}
                                    </div>
                                </div>
                                @endforeach
                                <!--End single accordion box-->

                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>
</section>
<!-- faq-page end-->

@endsection
